const path = require('path')
const { resolveAxiosPath, copyFiles } = require('../utils')

/**
 * 从 packages/multi-ajax/build/scripts/axios 复制文件覆盖 node_modules/axios 中文件
 */
function patchAxios() {
  const patchSourceAxiosPath = path.resolve(__dirname, './axios')
  const targetAxiosPath = resolveAxiosPath()
  console.log('打补丁: source', patchSourceAxiosPath)
  console.log('打补丁: target', targetAxiosPath)
  try {
    copyFiles(patchSourceAxiosPath, targetAxiosPath);
    console.log('打补丁完成')
  } catch (e) {
    console.log('打补丁异常', e)
  }
}

patchAxios()
