/**
 * 取消相同URL和method的上一个未结束请求，主要目的是防止页面切换时串数据，比如tab切换
 * 且只针对get请求
 */
export { generateRequestHash } from "./utils";
export declare function addRequestCanceler(url: string, hash: string, cancelFn: () => void): void;
export declare function clearCancelerByHash(url: string, hash: string): void;
export declare function execCanceler(url: string): void;
