import type { AjaxInstance, AjaxOption, AnyObj } from './types';
export type OldAjaxMethods = 'query' | 'create' | 'deletes' | 'putWay' | 'patchWay';
export type CustomAjaxMethods<T extends object, GDataShape extends AnyObj = any> = <DataType = GDataShape>(path: string, config?: Partial<AjaxOption & T>) => (data?: any, expend?: string) => Promise<DataType>;
export declare const generateCustomMethod: <T extends object>(ctx: AjaxInstance<T, any>, name: OldAjaxMethods) => CustomAjaxMethods<T, any>;
declare function addCompatibleMethods<CusOpts extends NonNullable<unknown>>(ctx: AjaxInstance<CusOpts>): void;
export default addCompatibleMethods;
