import type { AjaxInstance, AjaxOption, AxiosMethods } from './types';
export interface RequestCreator<COPT extends object, GDataShape extends object = any> {
    <DataType = GDataShape>(url: string, options?: Partial<AjaxOption & COPT>): {
        (params?: object | null, opts?: Partial<AjaxOption & COPT>): Promise<DataType>;
    };
}
export declare const generateMethod: <COPT extends {}, GDataShape extends object = any>(ajax: AjaxInstance<COPT, any>, method: AxiosMethods) => RequestCreator<COPT, GDataShape>;
