import type { AjaxInstance, AnyObj, ProxyedAttrs } from './types';
/**
 * 标准化config配置，或根据配置项设置相关的参数
 * 该函数返回的配置对象，应该完全符合axios的配置规范
 * @param {*} config
 */
export declare function normalizeConfig<CusOpt extends object>(ctx: AjaxInstance<CusOpt>, config: any): any;
export declare function addInstanceExtendMethod(ctx: any): void;
export declare function proxyAxiosInstanceAttrs<S extends {
    [K in ProxyedAttrs]: any;
}>(target: AnyObj, source: S): void;
export declare function proxyAjaxCanceler(ctx: AjaxInstance): void;
